> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Master-Passwörter auflisten

> List master passwords under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.de.json GET /v1/public/accounts/{account_id}/credentials
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials:
    get:
      tags:
        - public-accounts
        - public-credentials
      summary: Master-Passwörter auflisten
      description: List master passwords under the path account.
      operationId: list_public_credentials_v1_public_accounts__account_id__credentials_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
      security:
        - PublicBearerAuth: []
components:
  schemas:
    CredentialListResponse:
      properties:
        items:
          description: Master-Passwörter auf dieser Seite
          items:
            $ref: '#/components/schemas/CredentialDTO'
          title: Artikel
          type: array
        page:
          description: Aktuelle einseitige Seitenzahl
          title: Seite
          type: integer
        page_size:
          description: Maximale Anzahl an Elementen pro Seite
          title: Page Groesse
          type: integer
        total:
          description: Gesamtzahl passender Master-Passwörter
          title: Gesamt
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: CredentialListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CredentialDTO:
      properties:
        created_at:
          description: Erstellungszeitstempel des Master-Passworts
          title: Erstellt At
          type: string
        id:
          description: Master-Passwort-UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Anzeigename des Master-Passworts
          title: Name
          type: string
        scope_id:
          description: Ressourcen-UUID für den Bereich des Master-Passworts
          format: uuid
          title: Bereichs-ID
          type: string
        scope_type:
          description: Ressourcenbereichstyp, in dem das Master-Passwort gilt
          enum:
            - account
            - workspace
            - domain
          title: Scope Typ
          type: string
        updated_at:
          description: Zeitstempel der letzten Aktualisierung des Master-Passworts
          title: Aktualisiert am
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialDTO
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Standort
          type: array
        msg:
          title: Nachricht
          type: string
        type:
          title: Fehler Typ
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````